### Method

# Gsk RoundedRectnormalize

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_normalize (
      GskRoundedRect* self
    )

#### Description [src]

Normalizes the passed rectangle.

This function will ensure that the bounds of the rectangle are normalized and ensure that the corner values are positive and the corners do not overlap.

#### Return value

Type: `GskRoundedRect`

The normalized rectangle.

The data is owned by the instance.